Subject: Re: Git issues with submodules

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Nov 2013 12:53:45 -0800

Heiko Voigt <[email-masked]> writes:

> What I think needs fixing here first is that the ignore setting should not
> apply to any diffs between HEAD and index. IMO, it should only apply
> to the diff between worktree and index.

Hmph.  How about "git diff $commit", the diff between the worktree and
a named commit (which may or may not be HEAD)?

> When we have that the user does not see the submodule changed when
> normally working. But after doing git add . the change to the submodule
> should be shown in status and diff regardless of the configuration.

Yes, that sounds sensible.